//<script>
Ossn.register_callback('ossn', 'init', 'share_post_box');
function share_post_box(){
	$(document).ready(function(){
			$('body').on('click', '.post-control-sharepost', function(e){
				$guid = $(this).attr('data-guid');
				Ossn.MessageBox('sharepost?guid='+$guid);
			});
			$('body').on('change', '#sharepost-select-type', function(){
						$type = $(this).val();
						switch($type){
							 case 'newsfeed':
							 	$('#sharepost-friends').hide();
								$('#sharepost-groups').hide();
							 	break;
							  case 'group':
							  	$('#sharepost-friends').hide();
								$('#sharepost-groups').show();
							  	break;
							  case 'friend':
							  	$('#sharepost-friends').show();
								$('#sharepost-groups').hide();							  							 		
							  	break;
							default:
								$('#sharepost-friends').hide();
								$('#sharepost-groups').hide();
						}
			});
	});
}